Package org.jboss.modules

# Class LocalLoaders

java.lang.Object
org.jboss.modules.LocalLoaders

public final class LocalLoaders extends Object
Static factory methods for various types of local loaders.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`static LocalLoader`
`createClassFilteredLocalLoader(ClassFilter classFilter, LocalLoader originalLoader)`
Create a filtered local loader.
`static LocalLoader`
`createFilteredLocalLoader(ClassFilter classFilter, PathFilter resourcePathFilter, LocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
`createIterableClassFilteredLocalLoader(ClassFilter classFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
`createIterableFilteredLocalLoader(ClassFilter classFilter, PathFilter resourcePathFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static IterableLocalLoader`
`createIterablePathFilteredLocalLoader(PathFilter pathFilter, IterableLocalLoader originalLoader)`
Create a filtered local loader.
`static LocalLoader`
`createPathFilteredLocalLoader(PathFilter pathFilter, LocalLoader originalLoader)`
Create a filtered local loader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createPathFilteredLocalLoader

public static LocalLoader createPathFilteredLocalLoader(PathFilter pathFilter, LocalLoader originalLoader)
Create a filtered local loader.

Parameters:
  `pathFilter` - the path filter to apply to resources
  `originalLoader` - the original loader
Returns:
  the filtered loader

### createIterablePathFilteredLocalLoader

public static IterableLocalLoader createIterablePathFilteredLocalLoader(PathFilter pathFilter, IterableLocalLoader originalLoader)
Create a filtered local loader.

Parameters:
  `pathFilter` - the path filter to apply to resources
  `originalLoader` - the original loader
Returns:
  the filtered loader

### createClassFilteredLocalLoader

public static LocalLoader createClassFilteredLocalLoader(ClassFilter classFilter, LocalLoader originalLoader)
Create a filtered local loader.

Parameters:
  `classFilter` - the class filter to apply to classes
  `originalLoader` - the original loader
Returns:
  the filtered loader

### createIterableClassFilteredLocalLoader

public static IterableLocalLoader createIterableClassFilteredLocalLoader(ClassFilter classFilter, IterableLocalLoader originalLoader)
Create a filtered local loader.

Parameters:
  `classFilter` - the class filter to apply to classes
  `originalLoader` - the original loader
Returns:
  the filtered loader

### createFilteredLocalLoader

public static LocalLoader createFilteredLocalLoader(ClassFilter classFilter, PathFilter resourcePathFilter, LocalLoader originalLoader)
Create a filtered local loader.

Parameters:
  `classFilter` - the class filter to apply to classes
  `resourcePathFilter` - the path filter to apply to resources
  `originalLoader` - the original loader
Returns:
  the filtered loader

### createIterableFilteredLocalLoader

public static IterableLocalLoader createIterableFilteredLocalLoader(ClassFilter classFilter, PathFilter resourcePathFilter, IterableLocalLoader originalLoader)
Create a filtered local loader.

Parameters:
  `classFilter` - the class filter to apply to classes
  `resourcePathFilter` - the path filter to apply to resources
  `originalLoader` - the original loader
Returns:
  the filtered loader